import { LogLevel as LogLevel$1 } from 'esbuild';

type LogLevel = 'silent' | 'error' | 'warn' | 'info' | 'verbose';
declare function convertEsbuildLogLevel(level: LogLevel$1): LogLevel;
interface Logger {
    info: (message: string, ...args: any[]) => void;
    warn: (message: string, ...args: any[]) => void;
    error: (message: string, ...args: any[]) => void;
    success: (message: string, ...args: any[]) => void;
    report: (stats: {
        total: number;
        success: number;
        skipped: number;
        failed: number;
    }) => void;
    time: (label: string) => void;
    timeEnd: (label: string) => void;
    verbose: (message: string, ...args: any[]) => void;
}
interface LoggerOptions {
    level?: LogLevel;
}
declare function createLogger(prefix: string, options?: LoggerOptions): Logger;

export { type LogLevel, type Logger, type LoggerOptions, convertEsbuildLogLevel, createLogger };
